Subject: Re: [MMUSIC] Re: resolving open issues in offer/answer

From: Flemming Andreasen <[email-masked]>
Date: Fri, 04 Jan 2002 12:32:29 -0500

Jonathan Rosenberg wrote:

> Flemming Andreasen wrote:
>
> >
> > Paul Kyzivat wrote:
> >
> >
> >>Sorry, but I still don't get it.
> >>
> >>Let me put it another way. This is adding normative language requiring
> >>the sender of SDP to be prepared to send. How would that be verified?
> >>
> > Is
> >
> >>there any possible way to distinguish between being unprepared to send
> >>(nonconforming) and simply having no desire to send (conforming)?
> >>
> >
> > No, but it ensures, that if the answerer picks any one of those codecs,
> > then the
> > offerer will actually be able to send, should he so desire.
>
> I think what you are looking for is a sentence that says:
>
> When the offerer receives the answerer, it MAY send media on that stream
> (assuming it is listed as sendrecv or recvonly in the answer). It SHOULD
> use the first media format listed in the answer when it does send.
>

Not really :-)

>
> I will add that. I agree with Paul that saying you MUST be prepared to
> send when you generate an offer is pointless, since it can't actually
> send, and therefore there is no way to actually verify this requirement.

I'm obviously doing a poor job of expressing myself clearly, however I
believe we have agreed on the underlying issue (that all codecs listed in a
sendrecv media stream must be supported for send and receive in both the
offer and answer). Given that, I'm happy to leave this for now and just take
a look at the next version of the draft.

-- Flemming

>
>
> -Jonathan R.
>
> --
> Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
> Chief Scientist                         First Floor
> dynamicsoft                             East Hanover, NJ 07936
> [email-masked]                 FAX: (973) 952-5050
> http://www.jdrosen.net                  PH:  (973) 952-5000
> http://www.dynamicsoft.com

--
Flemming Andreasen
Cisco Systems

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 04 Jan 2002 20:59:40 -0500

> a look at the next version of the draft.

Finally I think I understand the point you are trying to make:

If an offerer intends to send, and includes several codecs in the offer
of a sendrecv stream, then it should be prepared to send on whichever of
them are chosen by the answerer. 

This is a very different use of the phrase "be prepared" than for an
offerer to "be prepared" to receive early media using any of the
mentioned codecs.

Even so, there is opportunity to fudge. There may simply be things that
the offerer will send on one codec and simply choose not to send on
another codec. Whether that is reasonable behavior will vary from case
to case.

	Paul

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 04 Jan 2002 21:25:48 -0500

Paul Kyzivat wrote:

>>believe we have agreed on the underlying issue (that all codecs listed
>>
> in a
> 
>>sendrecv media stream must be supported for send and receive in both
>>
> the
> 
>>offer and answer). Given that, I'm happy to leave this for now and
>>
> just take
> 

OK, I will use this text in the spec. Can we move on from this item now?

-Jonathan R.